# Interface XRControllerState

XR 控制器状态

interface XRControllerState {
axes: Record<"up" | "down" | "left" | "right", number>;
deltaTime: number;
raycaster: Raycaster;
}

- Defined in lib/five/utils/event.ts:145

##### Index

### Properties

axes
deltaTime
raycaster

## Properties

### axes

axes: Record<"up" | "down" | "left" | "right", number>

摇杆轴输入（0-1）

- Defined in lib/five/utils/event.ts:147

### deltaTime

deltaTime: number

距上一帧的时间间隔

- Defined in lib/five/utils/event.ts:151

### raycaster

raycaster: Raycaster

左手控制器射线

- Defined in lib/five/utils/event.ts:149